Bug 998131 - error when building systemtap docs
error when building systemtap docs
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fop (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Java maintainers
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 10:41 EDT by Dagmar Prokopová
Modified: 2016-01-14 05:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 04:38:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build log (81.43 KB, application/octet-stream)
2013-08-17 10:41 EDT, Dagmar Prokopová
no flags Details

  None (edit)
Description Dagmar Prokopová 2013-08-17 10:41:39 EDT
Created attachment 787562 [details]
build log

Description of problem:
The rebuild of Systemtap fails on Intel arches due to following error:

Writing ix01.html for index
Writing index.html for book
	Finished html
mv: cannot stat `build/en-US/pdf/*SystemTap_Beginners_Guide*.pdf': No such file or directory
make[4]: *** [SystemTap_Beginners_Guide.pdf] Error 1


Version-Release number of selected component (if applicable):
fop-0.95-4.2.el6.x86_64
systemtap-2.3-1.el6.x86_64
gcc-4.4.7-4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
CC=gcc rpmbuild -bb /root/rpmbuild/SPECS/systemtap.spec

Actual results:
failure mentioned above

Expected results:
successful rebuild

Additional info:
Workaround to build Systemtap without errors is to configure it with --disable-docs option.

I am not sure if fop is the right component for this. If I am wrong, please feel free to switch this bug to another component.
Comment 1 Mikolaj Izdebski 2013-08-19 04:33:36 EDT
This ineed looks like a bug in fop.

java.lang.NullPointerException
   at gnu.xml.transform.SAXSerializer.getValue(libgcj.so.10)
   at org.apache.fop.fo.PropertyList.addAttributesToList(PropertyList.java:283\
)
   at org.apache.fop.fo.FObj.processNode(FObj.java:122)
   at org.apache.fop.fo.FOTreeBuilder$MainFOHandler.startElement(FOTreeBuilder\
.java:286)
   at org.apache.fop.fo.FOTreeBuilder.startElement(FOTreeBuilder.java:163)
   at gnu.xml.transform.SAXSerializer.serialize(libgcj.so.10)
   at gnu.xml.transform.SAXSerializer.serialize(libgcj.so.10)
   at gnu.xml.transform.TransformerImpl.transform(libgcj.so.10)
   at org.apache.fop.cli.InputHandler.transformTo(InputHandler.java:214)
   at org.apache.fop.cli.InputHandler.renderTo(InputHandler.java:125)
   at org.apache.fop.cli.Main.startFOP(Main.java:166)
   at org.apache.fop.cli.Main.main(Main.java:196)
Comment 3 RHEL Product and Program Management 2013-10-13 19:15:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 Michael Simacek 2016-01-14 04:38:08 EST
Since the reporter of this bug is not reachable anymore and the issue is not reproducible for me, I'll close it now. If someone finds a way to reproduce it, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.